<template>
	<div class="stats">
		<div class="main-block">
			<div class="fn_header">
				<h3>{{ $store.state.locale.statCallcenter }}</h3>
			</div>
			<div class="fn_content">
					<div class="col-lg-12">
						<div class="chart-block">
							<div class="chart-title w-100 text-center mt--120">{{ $store.state.locale.operatorRating }}</div>
							<div class="chart">
								<div id="no_chart">
									<div style="height: 350px;"></div>
								</div>
							</div>
						</div>
						<div class="table-block">
							<table class="table table-striped table-green mt--150">
								<thead>
								<tr>
									<th class="w-30">{{ $store.state.locale.operator }}</th>
									<th class="w-20">{{ $store.state.locale.operatorId }}</th>
									<th class="w-25">{{ $store.state.locale.count }}</th>
									<th class="w-25">{{ $store.state.locale.averageTime }}</th>
								</tr>
								</thead>
								<tbody>
								<tr v-for="t_operator in operatorRatings">
									<td>{{t_operator.agentName}}</td>
									<td>{{t_operator.operatorId}}</td>
									<td>{{t_operator.callsCount}}</td>
									<td>{{t_operator.totalDuration | filterDuration}}</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>
<script src="./index.js"></script>